# python2 is not available on RHEL > 7 and not needed on Fedora > 28
%if 0%{?rhel} > 7 || 0%{?fedora} > 28
# disable python2 by default
%bcond_with python2
%else
%bcond_without python2
%endif

Name:		qubes-usb-proxy-dom0
Version:	1.1.1
Release:	1%{?dist}
Summary:	USBIP wrapper to run it over Qubes RPC connection - dom0 files

Group:		System
License:	GPLv2
URL:		https://www.qubes-os.org/
BuildArch:  noarch

BuildRequires:	make
BuildRequires:	python3-devel
%if %{with python2}
BuildRequires:	python2-devel
%endif
# do not require specific python verison, should be pulled in by relevant core
# package

Source0: qubes-usb-proxy-%{version}.tar.gz

%description
Dom0 files for Qubes USBIP wrapper. This includes Qubes tools integration.
This package also contains tests.

%prep
%setup -q -n qubes-usb-proxy-%{version}

%install
%{?with_python2:make install-dom0-py2 DESTDIR=${RPM_BUILD_ROOT}}
make install-dom0 DESTDIR=${RPM_BUILD_ROOT}

%files
%attr(0664,root,qubes) %config(noreplace) /etc/qubes-rpc/policy/qubes.USB
%dir %{python3_sitelib}/qubesusbproxy-*.egg-info
%{python3_sitelib}/qubesusbproxy-*.egg-info/*
%{python3_sitelib}/qubesusbproxy
%if %{with python2}
%dir %{python2_sitelib}/qubesusbproxy-*.egg-info
%{python2_sitelib}/qubesusbproxy-*.egg-info/*
%{python2_sitelib}/qubesusbproxy
%endif

%changelog
* Fri Sep 10 2021 Qubes OS Team <qubes-devel@googlegroups.com>
- For complete changelog see: https://github.com/QubesOS/qubes-app-linux-usb-proxy.git

* Fri Sep 10 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 62a1082
- version 1.1.1

* Sun Sep 05 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 6f62400
- tests: increase timeout for device reconnect

* Sat Sep 04 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 0b627b6
- Fix checking if modprobe is available

* Sat Jul 10 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 0c979e3
- version 1.1.0

* Wed Jun 23 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - a542dee
- Make it work on R4.0 too

* Sun May 23 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - df21aad
- version 1.0.30

* Sat May 08 2021 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - b87c557
- spec: add BR make

* Tue Feb 09 2021 Dmitry Fedorov <d.fedorov@tabit.pro> - 2b32d1a
- winusb: fix feature naming

* Thu Jan 28 2021 Dmitry Fedorov <d.fedorov@tabit.pro> - 558e36c
- winusb: remove redundant rules

* Thu Jan 28 2021 Dmitry Fedorov <d.fedorov@tabit.pro> - 867cacf
- winusb: fix feature naming

* Tue Jan 19 2021 Dmitry Fedorov <d.fedorov@tabit.pro> - 368bee2
- winusb: make modprobe and udevadm usage optional

* Tue Jan 19 2021 Dmitry Fedorov <d.fedorov@tabit.pro> - 69467b2
- winusb: Write guest domain to the qubesdb when device connected to stubdom

* Tue Jan 19 2021 Dmitry Fedorov <d.fedorov@tabit.pro> - 6f9beda
- winusb: test usb device in stubdom

* Tue Jan 19 2021 Dmitry Fedorov <d.fedorov@tabit.pro> - a351cc0
- winusb: attach usb device to stubdom if feature enabled

* Sun Nov 15 2020 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 6b6bb38
- Add .gitlab-ci.yml

* Sat Aug 15 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 49f9dd1
- version 1.0.29

* Sat Aug 15 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - c780641
- Add Super Speed Plus (10000) to allowed speed values

* Fri Aug 07 2020 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 5aae530
- Update travis

* Wed Apr 01 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 45f6707
- version 1.0.28

* Wed Mar 11 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 627b3e5
- Keep the process running to not close qrexec connection prematurely

* Sun Mar 01 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - b3a3e7a
- tests: adjust delay after removing/detaching device

* Fri Jan 17 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 2668a1f
- version 1.0.27

* Thu Jan 16 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 6de5382
- Clear cache when Qubes() object is getting destroyed

* Wed Jan 08 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 1beb118
- version 1.0.26

* Wed Jan 08 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - e927a99
- Fix attach timeout handling

* Mon Jan 06 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 6343522
- version 1.0.25

* Mon Jan 06 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 4be56f0
- travis: switch R4.1 to fc31 dom0

* Mon Jan 06 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 46d9b2b
- Don't include python2 tests on new dom0 (based on >f28)

* Mon Jan 06 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 1662c89
- Add attach timeout

* Wed Dec 11 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 8a0f905
- version 1.0.24

* Wed Dec 11 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 65aaadc
- Fix device cache initialization

* Tue Dec 10 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 3633e83
- version 1.0.23

* Sat Dec 07 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 6a3e33f
- Ensure dom0 receives events on attach/detach

* Sat Dec 07 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - a505ce7
- Send events even when device is attached/detached by alternative method

* Sat Oct 19 2019 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 72172bc
- travis: switch to bionic

* Thu Oct 10 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 765c340
- version 1.0.22

* Wed Oct 09 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - c733906
- travis: switch to xenial, drop R3.2, update distros

* Wed Oct 09 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 2d253b2
- Fix granting/revoking qubes.USB service access

* Thu May 16 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 92b5eac
- version 1.0.21

* Sun May 12 2019 Malte Leip <malte@leip.net> - 5075091
- usb-export: always unbind from current driver

* Fri Mar 08 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 9537426
- version 1.0.20

* Sun Mar 03 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - bbc7bc5
- travis: add R4.1

* Sun Mar 03 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - e7ec548
- rpm: fix dom0 spec file

* Sun Feb 24 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 10ef97b
- tests: verify automatic re-connection of the device

* Sun Feb 24 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 76673c7
- Automatically re-connect persistent device when it gets plugged back

* Tue Oct 09 2018 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 292d278
- version 1.0.19

* Tue Oct 09 2018 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - f860d3e
- travis: update Fedora and Debian versions

* Tue Oct 09 2018 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 993e569
- rpm: fix build dependencies for dom0 package

* Tue Oct 09 2018 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 483943e
- tests: skip test for whonix-gw

* Tue Jun 26 2018 Nicco Kunzmann <niccokunzmann@rambler.ru> - 37b8503
- Add error message with source

